## CongNodeModificationSetAttribute

CongNodeModificationSetAttribute —

## Synopsis

    struct      CongNodeModificationSetAttribute;
    #define     CONG_NODE_MODIFICATION_SET_ATTRIBUTE(obj)
    #define     CONG_NODE_MODIFICATION_SET_ATTRIBUTE_CLASS(klass)
    #define     IS_CONG_NODE_MODIFICATION_SET_ATTRIBUTE(obj)
    GType       cong_node_modification_set_attribute_get_type
                                                (void);
    CongNodeModificationSetAttribute* cong_node_modification_set_attribute_construct
                                                (CongNodeModificationSetAttribute *node_modification_set_attribute,
                                                 CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *name,
                                                 const gchar *value);
    CongModification* cong_node_modification_set_attribute_new
                                                (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *name,
                                                 const gchar *value);

## Object Hierarchy

      GObject
       +----CongModification
             +----CongNodeModification
                   +----CongNodeModificationSetAttribute

## Description

## Details

### struct CongNodeModificationSetAttribute

    struct CongNodeModificationSetAttribute;

### CONG_NODE_MODIFICATION_SET_ATTRIBUTE()

    #define CONG_NODE_MODIFICATION_SET_ATTRIBUTE(obj)         G_TYPE_CHECK_INSTANCE_CAST (obj, CONG_NODE_MODIFICATION_SET_ATTRIBUTE_TYPE, CongNodeModificationSetAttribute)

`obj` : |

### CONG_NODE_MODIFICATION_SET_ATTRIBUTE_CLASS()

    #define CONG_NODE_MODIFICATION_SET_ATTRIBUTE_CLASS(klass) G_TYPE_CHECK_CLASS_CAST (klass, CONG_NODE_MODIFICATION_SET_ATTRIBUTE_TYPE, CongNodeModificationSetAttributeClass)

`klass` : |

### IS_CONG_NODE_MODIFICATION_SET_ATTRIBUTE()

    #define IS_CONG_NODE_MODIFICATION_SET_ATTRIBUTE(obj)      G_TYPE_CHECK_INSTANCE_TYPE (obj, CONG_NODE_MODIFICATION_SET_ATTRIBUTE_TYPE)

`obj` : |

### cong_node_modification_set_attribute_get_type ()

    GType       cong_node_modification_set_attribute_get_type
                                                (void);

Returns : |

### cong_node_modification_set_attribute_construct ()

    CongNodeModificationSetAttribute* cong_node_modification_set_attribute_construct
                                                (CongNodeModificationSetAttribute *node_modification_set_attribute,
                                                 CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *name,
                                                 const gchar *value);

TODO: Write me

`node_modification_set_attribute` : |
`doc` : |
`node` : |
`ns_ptr` : |
`name` : |
`value` : |
Returns : |

### cong_node_modification_set_attribute_new ()

    CongModification* cong_node_modification_set_attribute_new
                                                (CongDocument *doc,
                                                 CongNodePtr node,
                                                 xmlNs *ns_ptr,
                                                 const gchar *name,
                                                 const gchar *value);

TODO: Write me

`doc` : |
`node` : |
`ns_ptr` : |
`name` : |
`value` : |
Returns : |